---
layout: default
permalink: /index.html
title: Personal blog
description: >
  Hi, I'm tyil, and this is my site. I'm a software engineer with a big
  interest in Free Software. As such, I spend much time writing and promoting
  free software. Occasionally, I'll write an article about something freedom or
  software related.
---

{% for post in site.posts %}
  {% if post.wip %} {% continue %} {% endif %}
  {% assign blogpost = post %}
  {% break %}
{% endfor %}

## About me

Freedom-focused hacker. I love everything about free software, and spend much
time contributing to it myself. I occasionally write articles to help other
people getting started with free software, and show the issues with proprietary
software. I'm Active on a number of IRC channels, spread over multiple IRC
networks. Currently I have made over 10 modules for Perl 6, which are all
available on CPAN. I also write a blog post on occasion, with my latest
write-up being "[{{blogpost.title}}]({{blogpost.url}})".

If you think what I'm doing is awesome, and want to support me, you can do so
through donations. More information about how to donate and what I do with the
donations I receive can be found on the [support][donate] page.

## Contact

### PGP

My public PGP key is available [from my own site][pubkey], or from a public key
server such as [pgp.mit.edu][pubkey-mit]. The fingerprint is:

```
1660 F6A2 DFA7 5347 322A  4DC0 7A6A C285 E2D9 8827
```

### OTR

For instant messaging I use OTR where possible. My fingerprints are the following:

- `973F92EA 4A45DE93 60C2C60E DDC049D5 149B3BE2` XMPP, tyil@national.shitposting.agency
- `B174A02B 1F0A4258 B1527988 770843B4 0582A0D8` IRC, tyil @ DareNET
- `C6025214 E05A4FB6 5E65B900 9CA6A7AF A4A35C48` IRC, tyil @ Freenode
- `80999DD8 22504629 44EC13E3 5C31BF2F FC825703` IRC, tyil @ Rizon

### Channels

####  Email

Email contact goes via [p.spek@tyil.work][mail]. Be sure to at least sign all
mail you send me. Even better would be encrypted mail using my [PGP
key][pubkey].

I do not read my mailboxes very often, so please do not expect a timely
response. If you require a response as soon as possible, please find me on IRC
instead.

#### IRC

I am mainly active as `tyil` on [Freenode][freenode]. Other networks I frequent
are [DareNET][darenet] and [Rizon][rizon], using the same nick, `tyil`. I
use OTR for private messages on IRC, so be sure you use this if you want to
discuss something in private.

#### Mastodon

I am on Mastodon, as [@tyil@mastodon.social][mastodon]. I generally preach
about free software and Perl 6, and announce articles from myself and others
that I find interesting.

#### XMPP

I am available via XMPP/Jabber on `tyil@national.shitposting.agency`. Like IRC,
be sure to have OTR enabled if you wish to talk to me. Since my XMPP chats go
via [`BitlBee`][bitlbee], the response time is about the same as via IRC.

## Other links
- [GitLab][gitlab]
- [Github][github]
- [DareNET gitlab][c.darenet]
- [Keybase][keybase]
- [LinkedIn][linkedin]

## RSS

If you'd like to stay up-to-date with my posts, you can subscribe to the [RSS
feed][rss] or the [Atom feed][atom].

[atom]: {{ "/atom.xml" | prepend: site.baseurl | prepend: site.url }}
[bitlbee]: https://www.bitlbee.org/main.php/news.r.html
[c.darenet]: https://c.darenet.org/u/tyil
[darenet]: https://darenet.org
[donate]: {{ "/support/" | prepend: site.baseurl | prepend: site.url }}
[freenode]: https://freenode.net
[github]: https://github.com/Tyil
[gitlab]: https://gitlab.com/tyil
[keybase]: https://keybase.io/tyil
[linkedin]: https://www.linkedin.com/in/patrickspek
[mail]: mailto:p.spek@tyil.work
[mastodon]: https://mastodon.social/web/accounts/34234
[pubkey]: {{ "/pubkey.txt" | prepend: site.baseurl | prepend: site.url }}
[pubkey-mit]: http://pgp.mit.edu/pks/lookup?op=vindex&search=0x7A6AC285E2D98827
[rizon]: https://rizon.net
[rss]: {{ "/feed.xml" | prepend: site.baseurl | prepend: site.url }}
